package com.bonus.canteen.core.customer.business;

import cn.hutool.core.collection.CollUtil;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.bonus.canteen.core.customer.dto.CustOrgPageDTO;
import com.bonus.canteen.core.customer.model.CustOrg;
import com.bonus.canteen.core.customer.vo.CustOrgVO;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class CustOrgPointBusiness implements CustomBusiness {
   public String name() {
      return "位置";
   }

   public List<Version> versions() {
      return CollUtil.newArrayList(new CustomBusiness.Version[]{CustomBusiness.Version.of("5.4.3", "初版")});
   }

   public void didPageCustOrg(CustOrgPageDTO content, Page<CustOrgVO> recordPage) {
   }

   public void didAddCustOrg(CustOrg custOrg) {
   }

   public void didUpdateCustOrg(CustOrg custOrg) {
   }

   public void didDeleteCustOrg(Long orgId, List<Long> orgIdList) {
   }
}
